Subject: bug#22916: 25.0.92; eww completely hangs Emacs on "invalid" png image

From: Elric Milon <[email-masked]>
Date: Fri, 04 Jan 2019 15:06:46 +0100

It seems to be working now.

I've built the current master branch with:

./configure --prefix $(readlink -fe $PWD/../inst) \
    --enable-link-time-optimization \
    --without-pop \
    --with-x-toolkit=lucid \
    --without-xaw3d \
    --without-selinux \
    --with-file-notification=yes \
    --with-modules \
    --with-x \
    --with-cairo

And I seem to be able to browse the web and open images just fine. 
(I had been disabling the cairo flag as that was triggering the 
bug)

I'd say this bug can be closed.

Thanks!

Dmitry Gutov <[email-masked]> writes:

> Hi Elric,
>
> On 13.07.2016 0:21, Elric Milon wrote:
>>
>> Apparently the log link is broken, I've uploaded it here 
>> instead:
>>
>> https://whirm.eu/emacs_bug_22916.txt.bz2
>
> This link doesn't work anymore either. And the website doesn't 
> seem to open,
> too.
>
> Could you show a new test case?
>
> Ideally, after building the current emacs-26 branch and trying 
> it with the
> resulting build first.

--
Elric Milon
PGP: 3939C2B494084E2F | https://whirm.eu